import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets
import request from '@/utils/request'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
// import locale from 'element-ui/lib/locale/lang/en' // lang i18n
Vue.prototype.$request = request
import '@/styles/index.scss' // global css
import '@/styles/flex.scss' // global css
import App from './App'
import store from './store'
import router from './router'
import locale from 'element-ui/lib/locale/lang/zh-CN'
import '@/directives'
import '@/icons' // icon
import '@/permission' // permission control
import Upload from '@/components/upload/upload.vue'
import FileUpload from '@/components/upload/FileUpload.vue'
import FileShow from '@/components/upload/FileShow.vue'
//Vue.component('TableWrapper', TableWrapper)
Vue.component('Upload', Upload)
Vue.component('FileUpload', FileUpload) // 图片/pdf 添加和编辑
Vue.component('FileShow', FileShow) // 仅查看 图片/pdf
/**
 * If you don't want to use mock-server
 * you want to use MockJs for mock api
 * you can execute: mockXHR()
 *
 * Currently MockJs will be used in the production environment,
 * please remove it before going online ! ! !
 */
if (process.env.NODE_ENV === 'production') {
  const { mockXHR } = require('../mock')
  mockXHR()
}

// set ElementUI lang to EN
Vue.use(ElementUI, { locale })
// 如果想要中文版 element-ui，按如下方式声明
// Vue.use(ElementUI)

Vue.config.productionTip = false

new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
