import Big from 'big.js'
export const GetNumberOfDays = (dateStart, dateEnd) => { // 获得天数
  // dateStart：开始日期，
  // dateEnd: 结束日期
  // 时间戳相减，除以天数
  var a1 = Date.parse(new Date(dateStart))
  var a2 = Date.parse(new Date(dateEnd))
  var day = parseInt((a2 - a1) / (1000 * 60 * 60 * 24))
  return day
}
// 最高贷款额度=票面金额/（((服务费率+利率)*（承兑日期-预计贴现日）/360）+1）
export const maxLoanAmount = (num1 = 0, num2 = 0, num3 = 0, num4, num5) =>
  (new Big(num1).div(new Big(num2).plus(num3).div(100).times(GetNumberOfDays(num4, num5)).div(360).plus(1)).toFixed(2)).toString()

// 服务费=最高贷款额度*服务费率*（承兑日期-预计贴现日）/360）
export const serviceCharge = (num1 = 0, num2 = 0, num3, num4) =>
  (new Big(num1).times(Big(num2).div(100)).times(GetNumberOfDays(num3, num4)).div(360).toFixed(2)).toString()

// 利息=最高贷款额度*利率*（承兑日期-预计贴现日）/360）
export const interest = (num1 = 0, num2 = 0, num3, num4) => (new Big(num1).times(Big(num2).div(100)).times(GetNumberOfDays(num3, num4)).div(360).toFixed(2)).toString()
