import axios from 'axios'
import {
  MessageBox,
  Message
} from 'element-ui'
import store from '@/store'
import {
  getToken
} from '@/utils/auth'

// create an axios instance
const service = axios.create({
  baseURL: 'https://ht.9026.com/', // url = base url + request url
  // withCredentials: true, // send cookies when cross-domain requests
  timeout: 10 * 10000, // request timeout
  method: 'post',
  headers: {
    'Content-Type': 'application/json'
  }
})
service.interceptors.request.use(
  config => {
    const token = getToken()
    if (token) {
      config.headers.Authorization = token
    }
    return config
  },
  (error) => Promise.reject(error)
)
// // request interceptor
// service.interceptors.request.use(
//   config => {
//     // do something before request is sent
//     config.headers['Content-Type'] = 'application/json'
//     // config.headers['Content-Type']='charset=utf-8'
//     config.headers = {
//       'User-Agent-type': 'apifox/1.0.0 (https://www.apifox.cn)'
//     }
//     const string = getToken()
//     if (string) {
//       const obj = JSON.parse(string)
//       console.log(obj.token, 'obj')
//       config.headers['Authorization'] = obj.token
//     }
//     if (store.getters.token) {
//       // let each request carry token
//       // ['X-Token'] is a custom headers key
//       // please modify it according to the actual situation
//       const string = getToken()
//       const obj = eval('(' + string + ')')
//       config.headers['Authorization'] = obj.token
//       console.log(obj.token)
//       // config.headers['Authorization'] = getToken()
//     }
//     return config
//   },
//   error => {
//     // do something with request error
//     console.log(error) // for debug
//     return Promise.reject(error)
//   }
// )

// response interceptor
service.interceptors.response.use(
  /**
	 * If you want to get http information such as headers or status
	 * Please return  response => response
	 */

  /**
	 * Determine the request status by custom code
	 * Here is just an example
	 * You can also judge the status by HTTP Status Code
	 */
  response => {
    const res = response.data
    // if the custom code is not 20000, it is judged as an error.
    // if (res.code !== 200) {
    //   Message({
    //     message: res.msg || 'Error',
    //     type: 'error',
    //     duration: 5 * 1000
    //   })
      // 50008: Illegal token; 50012: Other clients logged in; 50014: Token expired;
      // if (res.code === 50008 || res.code === 50012 || res.code === 50014) {
      //   // to re-login
      //   MessageBox.confirm('You have been logged out, you can cancel to stay on this page, or log in again', 'Confirm logout', {
      //     confirmButtonText: 'Re-Login',
      //     cancelButtonText: 'Cancel',
      //     type: 'warning'
      //   }).then(() => {
      //     store.dispatch('user/resetToken').then(() => {
      //       location.reload()
      //     })
      //   })
      // }
    //   return Promise.reject(new Error(res.msg || 'Error'))
    // } else {
    //   return res
    // }
		if(res.type==="application/x-zip-compressed" ||
       res.type==="application/vnd.ms-excel"){
			return response
		}else if(res.code != 200){
			Message({
			    message: res.msg || 'Error',
			    type: 'error',
			    duration: 5 * 1000
			  })
		}else{
			return res
		}
  },
  error => {
    console.log('err' + error) // for debug
    Message({
      message: error.msg,
      type: 'error',
      duration: 5 * 1000
    })
    return Promise.reject(error)
  }
)

export default service
